# Units

CP2K Available Units of Measurement

## Energy

Possible units of measurement for Energies. The `[energy]` entry acts like a dummy flag (assumes the unit of measurement of energy is in internal units), useful for dimensional analysis.

- `hartree`
- `wavenumber_e`
- `joule`
- `kcalmol`
- `kjmol`
- `Ry`
- `eV`
- `keV`
- `K_e`
- `energy`

## Length

Possible units of measurement for Lengths. The `[length]` entry acts like a dummy flag (assumes the unit of measurement of length is in internal units), useful for dimensional analysis.

- `bohr`
- `m`
- `pm`
- `nm`
- `angstrom`
- `length`

## Temperature

Possible units of measurement for Temperature. The `[temperature]` entry acts like a dummy flag (assumes the unit of measurement of temperature is in internal units), useful for dimensional analysis.

- `K`
- `au_temp`
- `temperature`

## Pressure

Possible units of measurement for Pressure. The `[pressure]` entry acts like a dummy flag (assumes the unit of measurement of pressure is in internal units), useful for dimensional analysis.

- `bar`
- `atm`
- `kbar`
- `Pa`
- `MPa`
- `GPa`
- `au_p`
- `pressure`

## Angle

Possible units of measurement for Angles. The `[angle]` entry acts like a dummy flag (assumes the unit of measurement of angle is in internal units), useful for dimensional analysis.

- `rad`
- `deg`
- `angle`

## Time

Possible units of measurement for Time. The `[time]` entry acts like a dummy flag (assumes the unit of measurement of time is in internal units), useful for dimensional analysis.

- `s`
- `fs`
- `ps`
- `au_t`
- `wavenumber_t`
- `time`

## Mass

Possible units of measurement for Masses. The `[mass`\] entry acts like a dummy flag (assumes the unit of measurement of mass is in internal units), useful for dimensional analysis.

- `kg`
- `amu`
- `m_e`
- `mass`

## Potential

Possible units of measurement for potentials. The `[potential]` entry acts like a dummy flag (assumes the unit of measurement of potential is in internal units), useful for dimensional analysis.

- `volt`
- `au_pot`
- `potential`

## Force

Possible units of measurement for forces. The `[force]` entry acts like a dummy flag (assumes the unit of measurement of force is in internal units), useful for dimensional analysis.

- `N`
- `Newton`
- `mN`
- `mNewton`
- `au_f`
- `force`
